version 8.2
clear
set logtype text
set more off
set matsize 200

capture log close
log using "brazrloc/logs/rais-cnpj-data-natl-nber.log", replace

foreach ext in a b c d e f g h i j {
  tempfile plnt_`ext'
  use identificad ano n_pis indprim indhigh indprof indtech indwhit indsklb temp_empr rem_dezembro mod_subs_ibge using "rais/base-agg/cnpj/aggcnpj_`ext'", clear
  merge identificad ano using "brazrloc/data/rais-cnpj-list-natl"
  tab _m
  keep if _m==3
  sort identificad ano
  save `plnt_`ext''
  }

use `plnt_a'
foreach ext in b c d e f g h i j {
  append using `plnt_`ext''
  }

keep identificad ano n_pis indprim indhigh indprof indtech indwhit indsklb temp_empr rem_dezembro mod_subs_ibge 
order identificad ano n_pis indprim indhigh indprof indtech indwhit indsklb temp_empr rem_dezembro mod_subs_ibge 
sort identificad ano
save "brazrloc/data/rais-cnpj-data-natl-nber", replace

log close
